/*
 * @Date: 2022-10-17 09:09:15
 * @LastEditors: 陈禹琨 cyk910622@163.com
 * @LastEditTime: 2023-03-09 09:55:17
 * @FilePath: \upcloud-wms-henanyiyao-web\src\views\kzyWMS\inBound\mixins\extractAfter.js
 * @Description: cyk
 */
const receiveHideList = [
  "shipDate",
  "shipArriveTime",
  "tempcontrolMode",
  "deviceNo",
  "shipTemPerature",
  "shipArriveTemPerature",
  "tempcontrolStatus",
];

export let extractAfterModule = {
  methods: {
    receiveSetValueAfter(list) {
      // this.detailtList.extend
      let ref = this.queryRefFromName("extend");
      console.log(list, "===");
      if (
        list.some((t) => {
          console.log(
            t.storeTemperature
              ? t.storeTemperature.indexOf("冷") >= 0 || t.storeTemperature.indexOf("恒温") >= 0
              : false,
            "==============="
          );
          return t.storeTemperature
            ? t.storeTemperature.indexOf("冷") >= 0 || t.storeTemperature.indexOf("恒温") >= 0
            : false;
        })
      ) {
        // ref.form.unhiddenItem(receiveHideList);
        ref.form.visibleItem(receiveHideList);
      } else {
        // ref.form.hiddenItem(receiveHideList);
        ref.form.invisibleItem(receiveHideList);
      }
    },
  },
};
